Tool
organization_roles_update
Updates an organization role's name or allow/deny patterns (owner/admin)
Updates an organization role's name or allow/deny patterns (owner/admin)
Behavior
- HTTP
PATCH /governance/api/v1/organizations/:orgId/roles/:roleId
Arguments
Name | Type | Required | Description |
|---|---|---|---|
deny | array | — | No description in the catalog. |
name | string | — | No description in the catalog. |
allow | array | — | No description in the catalog. |
orgId | string | • | No description in the catalog. |
roleId | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
deny | array | • | |
name | string | • | |
type | string | • | |
allow | array | • | |
createdAt | string | • | |
updatedAt | string | • | |
organizationId | string | • |
Try it
Updates an organization role's name or allow/deny patterns (owner/admin).